<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2024 Workiva-->
<!--r:febc4721-3c76-4338-b171-2f261bf71587,g:4957c916-8aa9-441a-80d4-324012f587cf-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodStartLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodStartLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/netLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedNetLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedNetLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel"/>
  <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
    <link:label id="lab_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities_f85b51a2-665f-4b58-b7a4-109a6504fdf0_negatedLabel_en" xlink:label="lab_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Purchase of intangible assets, classified as investing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:to="lab_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_tom_ResearchAndDevelopmentExpenseApplication_label_en" xlink:label="lab_tom_ResearchAndDevelopmentExpenseApplication" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Research And Development Expense, Application</link:label>
    <link:label id="lab_tom_ResearchAndDevelopmentExpenseApplication_documentation_en" xlink:label="lab_tom_ResearchAndDevelopmentExpenseApplication" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Research And Development Expense, Application</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_tom_ResearchAndDevelopmentExpenseApplication" xlink:href="tom-2023-12-31.xsd#tom_ResearchAndDevelopmentExpenseApplication"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_tom_ResearchAndDevelopmentExpenseApplication" xlink:to="lab_tom_ResearchAndDevelopmentExpenseApplication" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_FinanceIncomeCost_71c0b8b8-c462-4178-8c5d-16a6ad033418_terseLabel_en" xlink:label="lab_ifrs-full_FinanceIncomeCost" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Finance income (cost)</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_FinanceIncomeCost" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceIncomeCost"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_FinanceIncomeCost" xlink:to="lab_ifrs-full_FinanceIncomeCost" xlink:type="arc" order="1"/>
    <link:label id="lab_tom_CurrentCapitalizedContractCost_label_en" xlink:label="lab_tom_CurrentCapitalizedContractCost" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Current capitalized contract cost</link:label>
    <link:label id="lab_tom_CurrentCapitalizedContractCost_documentation_en" xlink:label="lab_tom_CurrentCapitalizedContractCost" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Current capitalized contract cost</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_tom_CurrentCapitalizedContractCost" xlink:href="tom-2023-12-31.xsd#tom_CurrentCapitalizedContractCost"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_tom_CurrentCapitalizedContractCost" xlink:to="lab_tom_CurrentCapitalizedContractCost" xlink:type="arc" order="1"/>
    <link:label id="lab_tom_NonCurrentCapitalizedContractCost_label_en" xlink:label="lab_tom_NonCurrentCapitalizedContractCost" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Non-current capitalized contract cost</link:label>
    <link:label id="lab_tom_NonCurrentCapitalizedContractCost_documentation_en" xlink:label="lab_tom_NonCurrentCapitalizedContractCost" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Non-current capitalized contract cost</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_tom_NonCurrentCapitalizedContractCost" xlink:href="tom-2023-12-31.xsd#tom_NonCurrentCapitalizedContractCost"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_tom_NonCurrentCapitalizedContractCost" xlink:to="lab_tom_NonCurrentCapitalizedContractCost" xlink:type="arc" order="1"/>
    <link:label id="lab_tom_CurrentDeferredRevenue_label_en" xlink:label="lab_tom_CurrentDeferredRevenue" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Current deferred revenue</link:label>
    <link:label id="lab_tom_CurrentDeferredRevenue_documentation_en" xlink:label="lab_tom_CurrentDeferredRevenue" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Current deferred revenue</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_tom_CurrentDeferredRevenue" xlink:href="tom-2023-12-31.xsd#tom_CurrentDeferredRevenue"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_tom_CurrentDeferredRevenue" xlink:to="lab_tom_CurrentDeferredRevenue" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_OperatingExpense_a2d685a6-f14e-45b8-bf7b-bde57791f928_totalLabel_en" xlink:label="lab_ifrs-full_OperatingExpense" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Operating expense</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OperatingExpense" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OperatingExpense"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_OperatingExpense" xlink:to="lab_ifrs-full_OperatingExpense" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_PurchaseOfTreasuryShares_8e3f5c4f-e64d-42c0-852e-3046b65f5dec_negatedLabel_en" xlink:label="lab_ifrs-full_PurchaseOfTreasuryShares" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Purchase of treasury shares</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PurchaseOfTreasuryShares" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfTreasuryShares"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_PurchaseOfTreasuryShares" xlink:to="lab_ifrs-full_PurchaseOfTreasuryShares" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities_9ec09475-a235-4b19-adb8-8c9d107fd0b7_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Cash flows from (used in) operating activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities_799a7ebf-9142-4b35-8567-6899628dc9b0_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Cash flows from (used in) financing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_PaymentsToAcquireOrRedeemEntitysShares_91861017-b0bd-42e3-b3fa-58978a04b477_negatedTerseLabel_en" xlink:label="lab_ifrs-full_PaymentsToAcquireOrRedeemEntitysShares" xlink:role="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Payments to acquire or redeem entity's shares</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PaymentsToAcquireOrRedeemEntitysShares" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PaymentsToAcquireOrRedeemEntitysShares"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_PaymentsToAcquireOrRedeemEntitysShares" xlink:to="lab_ifrs-full_PaymentsToAcquireOrRedeemEntitysShares" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_GrossProfit_0ed26835-12f8-4e08-848b-590c750fd0a9_totalLabel_en" xlink:label="lab_ifrs-full_GrossProfit" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Gross profit</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_GrossProfit" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GrossProfit"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_GrossProfit" xlink:to="lab_ifrs-full_GrossProfit" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_809024e3-7765-4b99-a734-b1d9fb74a32b_negatedLabel_en" xlink:label="lab_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Payments of lease liabilities, classified as financing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:to="lab_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_InterestExpense_6b833b5d-0954-47a7-9977-8e7558b77cf7_negatedTerseLabel_en" xlink:label="lab_ifrs-full_InterestExpense" xlink:role="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Interest expense</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_InterestExpense" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestExpense"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_InterestExpense" xlink:to="lab_ifrs-full_InterestExpense" xlink:type="arc" order="1"/>
    <link:label id="lab_tom_ResearchAndDevelopmentExpenseGeographical_label_en" xlink:label="lab_tom_ResearchAndDevelopmentExpenseGeographical" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Research And Development Expense, Geographical</link:label>
    <link:label id="lab_tom_ResearchAndDevelopmentExpenseGeographical_documentation_en" xlink:label="lab_tom_ResearchAndDevelopmentExpenseGeographical" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Research And Development Expense, Geographical</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_tom_ResearchAndDevelopmentExpenseGeographical" xlink:href="tom-2023-12-31.xsd#tom_ResearchAndDevelopmentExpenseGeographical"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_tom_ResearchAndDevelopmentExpenseGeographical" xlink:to="lab_tom_ResearchAndDevelopmentExpenseGeographical" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities_ae1c46a6-5d4d-498b-8104-00de59e54760_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Cash flows from (used in) investing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_f18c48ba-7455-4d97-ae36-edd596194e3b_negatedLabel_en" xlink:label="lab_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Purchase of property, plant and equipment, classified as investing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:to="lab_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_tom_OtherContractRelatedLiabilities_label_en" xlink:label="lab_tom_OtherContractRelatedLiabilities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Other contract-related liabilities</link:label>
    <link:label id="lab_tom_OtherContractRelatedLiabilities_documentation_en" xlink:label="lab_tom_OtherContractRelatedLiabilities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Other contract-related liabilities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_tom_OtherContractRelatedLiabilities" xlink:href="tom-2023-12-31.xsd#tom_OtherContractRelatedLiabilities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_tom_OtherContractRelatedLiabilities" xlink:to="lab_tom_OtherContractRelatedLiabilities" xlink:type="arc" order="1"/>
    <link:label id="lab_tom_ReclassificationFromLiabilityToStockCompensationReserve_label_en" xlink:label="lab_tom_ReclassificationFromLiabilityToStockCompensationReserve" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Reclassification from liability to stock compensation reserve</link:label>
    <link:label id="lab_tom_ReclassificationFromLiabilityToStockCompensationReserve_documentation_en" xlink:label="lab_tom_ReclassificationFromLiabilityToStockCompensationReserve" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Reclassification from liability to stock compensation reserve</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_tom_ReclassificationFromLiabilityToStockCompensationReserve" xlink:href="tom-2023-12-31.xsd#tom_ReclassificationFromLiabilityToStockCompensationReserve"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_tom_ReclassificationFromLiabilityToStockCompensationReserve" xlink:to="lab_tom_ReclassificationFromLiabilityToStockCompensationReserve" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_InterestPaidClassifiedAsOperatingActivities_f9caa4bd-ccfd-42d0-9a00-8f400f1aa6a4_negatedLabel_en" xlink:label="lab_ifrs-full_InterestPaidClassifiedAsOperatingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Interest paid, classified as operating activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_InterestPaidClassifiedAsOperatingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestPaidClassifiedAsOperatingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_InterestPaidClassifiedAsOperatingActivities" xlink:to="lab_ifrs-full_InterestPaidClassifiedAsOperatingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities_b1b05a33-0043-49f4-b56f-b102258f8945_negatedLabel_en" xlink:label="lab_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Income taxes paid (refund), classified as operating activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:to="lab_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInOperations_ccdd6993-4954-49b7-b6dc-ac17f636ed31_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInOperations" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Cash flows from (used in) operations</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperations"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:to="lab_ifrs-full_CashFlowsFromUsedInOperations" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_c3db8e07-1e7d-41e3-a01c-3fb25fe5e20b_totalLabel_en" xlink:label="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Increase (decrease) in cash and cash equivalents before effect of exchange rate changes</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:type="arc" order="1"/>
  </link:labelLink>
</link:linkbase>
